Page 1 of 2 12 LastLast
Results 1 to 20 of 25

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Cant update to IOS 5.1 Error 21 PLEASE HELP!

  1. #1
    Angry Cant update to IOS 5.1 Error 21 PLEASE HELP!
    So i have a jailbroken iphone 3GS

    IOS 4.3.5
    Ipad baseband


    i put it into DFU mode and prepare for a shift restore, The CFW im updating to has custom stiched 5.1 blobs to it.

    Everytime i try and update, It stops at "preparing to update iphone" Then i get error 21, and a Recovery loop [used tiny ireb to fix it]

    My question is, How do i get around this error?

    Please help! thank you so much

  2. #2

  3. #3
    My iPhone is a Part of Me
    Join Date
    Oct 2010
    Location
    UK
    Posts
    905
    Thanks
    5
    Thanked 69 Times in 66 Posts

    I'm think I had that error last weekend, make sure you have the very latest TinyUmbrella and Redsnow versions and start TinyUmbrella before iTunes

  4. #4
    Apperantly tinyumbrella is no longer valid for Restoring?

  5. #5
    Livin the iPhone Life celeron's Avatar
    Join Date
    Dec 2010
    Location
    Puerto Rico
    Posts
    5,831
    Thanks
    51
    Thanked 340 Times in 323 Posts

    No TSS Server is useless at 5.x
    If my post was good, click the button in my post

    New to jailbreaking? Have a look at my Redsn0w Guide

  6. #6
    So if im on 4.3.5 and i want to update to 5.1 (6.15.00) i can still use tiny umbrella?

  7. #7
    Livin the iPhone Life celeron's Avatar
    Join Date
    Dec 2010
    Location
    Puerto Rico
    Posts
    5,831
    Thanks
    51
    Thanked 340 Times in 323 Posts

    No, don't use TU.
    If my post was good, click the button in my post

    New to jailbreaking? Have a look at my Redsn0w Guide

  8. #8
    What should i do then?

  9. #9
    Livin the iPhone Life celeron's Avatar
    Join Date
    Dec 2010
    Location
    Puerto Rico
    Posts
    5,831
    Thanks
    51
    Thanked 340 Times in 323 Posts

    Try putting in Pwnd DfU Mode with redsnow
    If my post was good, click the button in my post

    New to jailbreaking? Have a look at my Redsn0w Guide

  10. #10
    i did, Then i did a shift restore, and i get error 21

  11. #11
    Livin the iPhone Life celeron's Avatar
    Join Date
    Dec 2010
    Location
    Puerto Rico
    Posts
    5,831
    Thanks
    51
    Thanked 340 Times in 323 Posts

    Pwned DfU and DFU are two different things...
    If my post was good, click the button in my post

    New to jailbreaking? Have a look at my Redsn0w Guide

  12. #12
    What can i be doing wrong? i have the latest redsnow, i clicked the pwndDFU mode in extras then did the shift restore, and got the error?

    Bump

    bump
    Last edited by Cphone 4; 05-20-2012 at 04:46 PM.

  13. #13
    My iPhone is a Part of Me
    Join Date
    Oct 2010
    Location
    UK
    Posts
    905
    Thanks
    5
    Thanked 69 Times in 66 Posts

    If you are restoring to iOS5.1 which is not signed by Apple any more, i would have thought that you will still need to run the latest TinyUmbrella 5.11.0 and start its server before starting iTunes. I am on iOS5.0.1 and it worked last week, not tried 5.1.x yet though. I think if you have an iPhone 4, then you would be fine on iOS5.0.1

  14. #14
    My iPhone is a Part of Me
    Join Date
    Oct 2010
    Location
    UK
    Posts
    905
    Thanks
    5
    Thanked 69 Times in 66 Posts

    Apple notes on error 21 are
    iTunes: Troubleshooting security software issues
    I know that when ever I install the latest version on TinyUmbrella, my firewall always asks me if I want to unblock it. You could always try turning your firewall off?

  15. #15
    did you guys make sure to check your HOSTS file and confirm that it is pointing to the Cydia's server to bypass Apple's authentication server?

  16. #16
    Tryed everything you guys sugested, no luck :c

  17. #17
    My iPhone is a Part of Me
    Join Date
    Oct 2010
    Location
    UK
    Posts
    905
    Thanks
    5
    Thanked 69 Times in 66 Posts

    Have you tried stitching your blobs and a custom "no baseband" ipsw with Redsnow?

  18. #18
    Yes that is what I've been trying to do. Before I was just using a NO_BB 5.1, Wich gave me error 11 then I stitched and now I get error 21

  19. #19
    My iPhone is a Part of Me
    Join Date
    Oct 2010
    Location
    UK
    Posts
    905
    Thanks
    5
    Thanked 69 Times in 66 Posts

    I think I would try Redsnow 0.9.11b4 and try upgrading your iOS to 5.1.1 instead of 5.1 as the Untethered jailbreak at the end of this week won't support 5.1

  20. #20
    Ok I will try and update to 5.1.1 since I have an old bootrom will it be unteathered? I'm on an iPad bb to

    i only have a 5.1 blob so i geuss im outta luck until theres a fix for error 21
    Last edited by Cphone 4; 05-22-2012 at 03:17 PM.

Page 1 of 2 12 LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •